Bug 27221 - LibreOffice не находит JRE
: LibreOffice не находит JRE
Status: CLOSED FIXED
: Branch p6
(All bugs in Branch p6/libreoffice)
: не указана
: all Linux
: P3 major
Assigned To:
:
: http://lists.altlinux.org/pipermail/c...
:
:
:
  Show dependency tree
 
Reported: 2012-04-14 11:54 by
Modified: 2012-04-27 19:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-04-14 11:54:09
Проблема с libreoffice на p6:

apt-get install libreoffice-langpack-ru устанавливает
libreoffice 3.4.3.2-alt0.M60P.6, java-common 1.5.0-alt,
java-1.7.0-openjdk 0:1.7.0.1-alt1_2.0.3jpp5.M60T.1и другие зависимости.

При первом запуске loffice ругань на JRE:

~% loffice
javaldx: Could not find a Java Runtime Environment!
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx

После замены java-1.7.0-openjdk на java-1.6.0-sun или java-1.6.0-openjdk JRE
находится.
Возможное решение здесь:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=549e54fb2f8113502743c443d6deadfe648dede1

Спасибо.
------- Comment #1 From 2012-04-19 05:00:45 -------
libreoffice-3.4.3.2-alt1.M60C.7 -> c6:

* Wed Apr 18 2012 Vitaly Kuznetsov <vitty@altlinux> 3.4.3.2-alt1.M60C.7
- fixup release

* Wed Apr 18 2012 Vitaly Kuznetsov <vitty@altlinux> 3.4.3.2-alt0.M60C.7
- cas@: Remove kde4 support
- build with java-1.6.0-sun

* Mon Apr 16 2012 Andrey Cherepanov <cas@altlinux> 3.4.3.2-alt0.M60P.7
- Support Java 1.7.0 from OpenJDK and Oracle (ALT #27221)
------- Comment #2 From 2012-04-20 11:46:02 -------
(В ответ на комментарий №1)
> * Mon Apr 16 2012 Andrey Cherepanov <cas@altlinux> 3.4.3.2-alt0.M60P.7
> - Support Java 1.7.0 from OpenJDK and Oracle (ALT #27221)

В branch/p6 пока нет:
ftp://ftp.altlinux.org/pub/distributions/ALTLinux/p6/branch/files/i586/RPMS/
------- Comment #3 From 2012-04-20 12:06:37 -------
(В ответ на комментарий №2)
> В branch/p6 пока нет:
> ftp://ftp.altlinux.org/pub/distributions/ALTLinux/p6/branch/files/i586/RPMS/
Появится после проверки в c6. Надо автозакрывалку модернизировать, чтобы не
закрывала баги не из своего репозитория.
------- Comment #4 From 2012-04-27 19:12:47 -------
libreoffice-3.4.3.2-alt0.M60P.8 -> p6:

* Thu Apr 26 2012 Andrey Cherepanov <cas@altlinux> 3.4.3.2-alt0.M60P.8
- Optional build KDE4 support
- Build with java-1.6.0-sun but support java-1.7.0-openjdk in runtime
- Fix build with Qt 4.8.1 and kde4libs 4.8.2

* Mon Apr 16 2012 Andrey Cherepanov <cas@altlinux> 3.4.3.2-alt0.M60P.7
- Support Java 1.7.0 from OpenJDK and Oracle (ALT #27221)